Package twisted :: Package conch :: Package ssh :: Module transport :: Class SSHServerTransport |
[show private | hide private]
[frames | no frames]

## Class SSHServerTransport

    BaseProtocol --+
                   |
            Protocol --+
                       |
        SSHTransportBase --+
                           |
                          SSHServerTransport

Method Summary
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `SSHTransportBase`)
| ``connectionMade`(self)` Called when a connection is made. (inherited from `SSHTransportBase`)
| ``dataReceived`(self, data)` Called whenever data is received. (inherited from `SSHTransportBase`)
| `getPacket(self)` (inherited from `SSHTransportBase`)
| ``isEncrypted`(self, direction)` direction must be in ["out", "in", "both"] (inherited from `SSHTransportBase`)
| ``isVerified`(self, direction)` direction must be in ["out", "in", "both"] (inherited from `SSHTransportBase`)
| `receiveDebug(self, alwaysDisplay, message, lang)` (inherited from `SSHTransportBase`)
| `receiveError(self, reasonCode, description)` (inherited from `SSHTransportBase`)
| `receiveUnimplemented(self, seqnum)` (inherited from `SSHTransportBase`)
| `sendDebug(self, message, alwaysDisplay, language)` (inherited from `SSHTransportBase`)
| `sendDisconnect(self, reason, desc)` (inherited from `SSHTransportBase`)
| `sendIgnore(self, message)` (inherited from `SSHTransportBase`)
| `sendKexInit(self)` (inherited from `SSHTransportBase`)
| `sendPacket(self, messageType, payload)` (inherited from `SSHTransportBase`)
| `sendUnimplemented(self)` (inherited from `SSHTransportBase`)
| `setService(self, service)` (inherited from `SSHTransportBase`)
| `ssh_DEBUG(self, packet)` (inherited from `SSHTransportBase`)
| `ssh_DISCONNECT(self, packet)` (inherited from `SSHTransportBase`)
| `ssh_IGNORE(self, packet)` (inherited from `SSHTransportBase`)
| `ssh_KEX_DH_GEX_INIT(self, packet)`
| `ssh_KEX_DH_GEX_REQUEST(self, packet)`
| `ssh_KEX_DH_GEX_REQUEST_OLD(self, packet)`
| `ssh_KEXINIT(self, packet)`
| `ssh_NEWKEYS(self, packet)`
| `ssh_SERVICE_REQUEST(self, packet)`
| `ssh_UNIMPLEMENTED(self, packet)` (inherited from `SSHTransportBase`)

Class Variable Summary
`int` | `isClient`

Class Variable Details

    ### isClient Type: `int` Value:
        0

Generated by Epydoc 1.1 on Thu May 8 13:16:23 2003 | http://epydoc.sf.net